## live-helper 1.0~a37

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,23 @@
 # Makefile
 
-TRANSLATIONS="de"
+#TRANSLATIONS="de"
 
 all: build
 
 test:
+	# Checking for syntax errors
 	set -e; for SCRIPT in functions/* examples/*/*.sh helpers/* hooks/*; \
 	do \
 		sh -n $$SCRIPT; \
 	done
+
+	# Checking for bashisms (temporary not failing, but only listing)
+	if [ -x /usr/bin/checkbashisms ]; \
+	then \
+		checkbashisms functions/* examples/*/*.sh helpers/* hooks/* || true; \
+	else \
+		echo "bashism test skipped - you need to install devscripts."; \
+	fi
 
 build:
 	@echo "Nothing to build."
@@ -16,7 +25,7 @@
 install: test
 	# Installing executables
 	mkdir -p $(DESTDIR)/usr/bin
-	cp helpers/lh_* helpers/make-live $(DESTDIR)/usr/bin
+	cp helpers/lh* helpers/make-live $(DESTDIR)/usr/bin
 
 	# Installing shared data
 	mkdir -p $(DESTDIR)/usr/share/live-helper
@@ -91,9 +100,9 @@
 update:
 	set -e; for FILE in functions/*.sh examples/cron/*.sh manpages/*.de.* manpages/*.en.*; \
 	do \
-		sed -i	-e 's/2007\\-09\\-17/2007\\-09\\-24/' \
-			-e 's/17.09.2007/24.09.2007/' \
-			-e 's/1.0~a28/1.0~a29/' \
+		sed -i	-e 's/2007\\-11\\-19/2007\\-11\\-26/' \
+			-e 's/19.11.2007/26.11.2007/' \
+			-e 's/1.0~a37/1.0~a38/' \
 		$$FILE; \
 	done
