=== debian/changelog ===
live-helper (1.0.3-2) unstable; urgency=medium

  [ Daniel Baumann ]
  * Regenerationg live-helper pot file.
  * Fixing typo in changelog.
  * Correcting order of genisoimage option assembling, the exludes do have to be
    processed last.
  * Adding clean parameter to lh_config to minimize config directory by
    automatically removing unused and thus empty subdirectories.
  * Splitting out win32-loader handling into own helper script.
  * Take win32-loader from the target distribution by using the chroot.
  * Revert using debhelper 7 command in rules.
  * Prefixing debhelper files with package name.
  * Updating copyright file.
  * Cleaning up rules file.
  * Moving binary manifest to live subdirectory on the images.
  * Moving live-initramfs or casper parameter list to live subdirectory on the
    images.
  * Introducing debian-release mode.
  * Adding own iso volume when beeing in release mode.
  * Correcting typo in iso volume.
  * Including the distribution name in iso volume when being in debian mode.
  * Renaming win32-loader executable as debian-cd does.
  * Creating win32-loader.ini in win32-loader helper script.
  * Updating .disk/info generation when building iso images.
  * Updating lenny cd includes.
  * Updating install call for live-helper defaults file.
  * Updating syslinux help screens.
  * Correcting bootstrap default logic to not overwrite the 'copy' method.
  * Really correcting bootstrap default logic to not overwrite the 'copy'
    method.
  * Updating image example build script.
  * Overwriting default kernels in image autobuild script only when being on
    i386.
  * Updating binary-filesystem reference in lh_config manpage.
  * For space consideration, don't install laptop task in desktop images by
    default anymore.
  * Only enabling win32-loader by default if we also include debian-installer.

  [ Tiago Bortoletto Vaz ]
  * Updating pt_br localization (Closes: #514196).

 -- Daniel Baumann <daniel@debian.org>  Tue, 10 Feb 2009 00:00:00 +0100

live-helper (1.0.3-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Don't break messages into parts; this make it impossible for translators
  * Adding missing newlines in Echo_error
  * Not considering some strings as translatable.
  * Adding Echo function as translatable
  * Don't ask for translators to translate a bunch of asterisks
  * Removing incorrect extra argument
  * Translating the description of the helpers
  * Must be printf instead of echo!
  * Fixing message for i18n compatibility

  [ Cyril Brulebois ]
  * Get rid of MIRROR_BOOTSTRAP_SECURITY in documentation.
  * Document LH_BOOTSTRAP_FLAVOUR as empty by default.
  * Fix --apt-pdiffs disabled being ignored.
  * Make hacks not break if there are no initrds.
  * Actually fix initrd-related breakage in chroot hacks.

  [ Daniel Baumann ]
  * Adding short comments to the different cases in Check_defaults();.
  * Adding check for currently not supported bootloader/image-type combinations.
  * Unsupported bootloader/image type combinations are errors, not warning.
  * Parsing lh_config flags from config.cfg, if available.
  * If config.cfg is executable, we execute it and accept its output as extra
    arguments. This makes dynamic configuration possible.
  * Adding support for using cdebootstra-static as bootstrap program.
  * Setting default taskel program from aptitude to tasksel.
  * Correcting typo in previous aptitude->tasksel commit.
  * Updating mode help message in lh_config.
  * Adding missing --dump to help output of lh_config.
  * Making sure that /tmp has the right permissions after installing
    sun-java*-doc through sun-java example hooks. Apparently, sun-java*-doc
    packages are tampering with it.
  * Actually doing apt-ftparchive operations in chroot as it was originally
    intended to be, otherwise apt-utils would be need to be a depends of
    live-helper.
  * Adding temporary workaround to 'failed to install grub' error when using
    live-installer.
  * Removing enforced installation of mawk in the chroot in
    lh_binary_debian-installer, mawk is priority required and therefore always
    there anyway. Additionally, this would unnecessarily blow up images that
    have gawk (or any other awk implementation) installed.
  * Fixing and unifying handling of hooks.
  * Using common function file to source shell includes.
  * Updating year in copyright notices for 2009.
  * Including functions.sh, forgot to add it before.
  * Marking aufs and unionfs in devel-live packages list as lenny and sid,
    resp. etch-only.
  * Updating forensic packages in rescue list.
  * Removing vim-tiny from minimal packages list, it's not a requirement for
    live-initramfs :)
  * Correcting lh_configs config.cfg handling, so that it's at least working
    when not using config.cfg. Will have to be fixed properly later.
  * Rewriting all existent manpages.
  * Running po4a for manpages.
  * Adding simple manpages for every other live-helper command.
  * Also covering compressed manpages in uninstall target of Makefile.
  * Automatically displaying manpage when calling a helper with -h or --help.
  * Replacing previous attempt of using config.cfg, now using scripts/config.sh
    and scripts/clean.sh instead.
  * Adding dummy live-helper command to make any confused user aware that
    live-helper is a set of commands starting with the lh_ prefix.
  * Removing shell specific extensions and call of scripts/config and
    scripts/clean, thanks to Tzafrir Cohen <tzafrir.cohen@xorcom.com>.
  * Overwriting the debootstrap or fdisk program if it is set to a value that
    is not on the host system anymore, but another alternative of it is.
  * Correcting typo for libewf in rescue list.
  * Updating name of arhive keys in image autobuild script.
  * Fixing infinit loop when using autoconfig for lh_config and lh_clean.
  * Adding autoconfig support to lh_build as well.
  * Correcting wrong logic in defaults.sh which resultet in having

