=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot

	$(MAKE) -C po clean

	dh_clean

build:
	$(MAKE) test
	$(MAKE) -C po update-po

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	$(MAKE) install DESTDIR=$(CURDIR)/debian/live-helper

	# Installing message catalogs
	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/live-helper

	install -D -m 0644 debian/live-helper.default debian/live-helper/etc/default/live-helper_autobuild

	# Preparing alternatives
	mv debian/live-helper/usr/share/live-helper/includes debian/live-helper/usr/share/live-helper/includes.debian
	mv debian/live-helper/usr/share/live-helper/templates debian/live-helper/usr/share/live-helper/templates.debian

	# Removing double files
	rm -f debian/live-helper/usr/share/doc/live-helper/COPYING
	rm -f debian/live-helper/usr/share/doc/live-helper/ChangeLog
	mv debian/live-helper/usr/share/doc/live-helper/ChangeLog.live-package debian/live-helper/usr/share/doc/live-helper/changelog.live-package

	# Installing bug control
	install -D -m 0644 debian/bug/live-helper.presubj debian/live-helper/usr/share/bug/live-helper
	install -D -m 0755 debian/bug/live-helper.script debian/live-helper/usr/share/bug/live-helper

binary: binary-indep

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs docs/ChangeLog
	dh_installdocs
	dh_installlogrotate
	dh_installcron
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: clean build install binary binary-arch binary-indep
